#version unofficial MegaPOV 0.7;
 
#macro Light(Location,Color)
light_source {
Location
Color}
#if(Light_Proxy=on)
#if(View<5)
union {
sphere {
0,.1}
#declare Star = union {
cylinder{<0,-.5,0>,<0,.5,0>,.01}
cylinder{<0,-.5,0>,<0,.5,0>,.01
rotate z*90}
cylinder{<0,-.5,0>,<0,.5,0>,.01
rotate z*45}
cylinder{<0,-.5,0>,<0,.5,0>,.01
rotate z*-45}}
object {Star}
object {Star rotate x*90}
object {Star rotate z*90}
pigment {Color}
finish {Luminous}
no_shadow
translate Location}
#end
#end
#end

#macro AreaLight(Location,Color,Vector1,Vector2,Dim1,Dim2,Adaptive)
light_source {
Location
Color
area_light
Vector1,Vector2,Dim1,Dim2
adaptive Adaptive
jitter}
#if(Light_Proxy=on)
#if(View<5)
union {
sphere {
0,.1}
#declare Star = union {
cylinder{<0,-.5,0>,<0,.5,0>,.01}
cylinder{<0,-.5,0>,<0,.5,0>,.01
rotate z*90}
cylinder{<0,-.5,0>,<0,.5,0>,.01
rotate z*45}
cylinder{<0,-.5,0>,<0,.5,0>,.01
rotate z*-45}}
object {Star}
object {Star rotate x*90}
object {Star rotate z*90}
pigment {Color}
finish {Luminous}
no_shadow
translate Location}
#end
#end
#end

#macro SpotLight(Location,Color,PointAt,Radius,Falloff,Tightness)
light_source {
Location
Color
spotlight
point_at PointAt
radius Radius
falloff Falloff
tightness Tightness}
#if(Light_Proxy=on)
#if(View<5)
union {
sphere {
0,.1}
#declare Star = union {
cylinder{<0,-.5,0>,<0,.5,0>,.01}
cylinder{<0,-.5,0>,<0,.5,0>,.01
rotate z*90}
cylinder{<0,-.5,0>,<0,.5,0>,.01
rotate z*45}
cylinder{<0,-.5,0>,<0,.5,0>,.01
rotate z*-45}}
object {Star}
object {Star rotate x*90}
object {Star rotate z*90}
pigment {Color}
finish {Luminous}
no_shadow
translate Location}
union {
cylinder {Location,PointAt,.025}
sphere{PointAt,.05}
pigment {Color}
finish {Luminous}
no_shadow}
#end
#end
#end

#macro AreaSpot(Location,Color,PointAt,Radius,Falloff,Tightness,
Vector1,Vector2,Dim1,Dim2,Adaptive)
light_source {
Location
Color
spotlight
point_at PointAt
radius Radius
falloff Falloff
tightness Tightness
area_light
Vector1,Vector2,Dim1,Dim2
adaptive Adaptive
jitter}
#if(Light_Proxy=on)
#if(View<5)
union {
sphere {
0,.1}
#declare Star = union {
cylinder{<0,-.5,0>,<0,.5,0>,.01}
cylinder{<0,-.5,0>,<0,.5,0>,.01
rotate z*90}
cylinder{<0,-.5,0>,<0,.5,0>,.01
rotate z*45}
cylinder{<0,-.5,0>,<0,.5,0>,.01
rotate z*-45}}
object {Star}
object {Star rotate x*90}
object {Star rotate z*90}
pigment {Color}
finish {Luminous}
no_shadow
translate Location}
union {
cylinder {Location,PointAt,.025}
sphere{PointAt,.05}
pigment {Color}
finish {Luminous}
no_shadow}
#end
#end
#end